@echo off
chcp 65001
if EXIST "C:\Program Files\santesocial\mica\mica.dll" goto :mklink_x64
if EXIST "C:\Program Files (x86)\santesocial\mica\mica.dll" goto :mklink_x86
goto :errorNotFound
:mklink_x64
mklink "%~dp0/mica.dll" "C:\Program Files\santesocial\mica\mica.dll"
if ERRORLEVEL 1 goto :errorPrivilege 
goto :eof
:mklink_x86
mklink "%~dp0\mica.dll" "C:\Program Files (x86)\santesocial\mica\mica.dll"
if ERRORLEVEL 1 goto :errorPrivilege 
goto :eof
:errorNotFound
echo Impossible de trouver le fichier mica.dll dans le systeme
echo Veillez installer mica puis exécuter une nouvelle fois ce script
goto :eof
:errorPrivilege
echo Erreur de privilège ou de création du lien :
echo - Verifiez bien que le lien n'existe pas déjà
echo - Veuillez lancer le script en mode administrateur
:eof
pause